# Midas-py

A Python-based client library designed to interact with the `midas-server`, providing a streamlined interface for accessing data. Similar to its Rust counterpart (`midas-rs`), it leverages the `mbn` library for binary encoding, enabling both streaming data and saving it to binary MBN-encoded files.

## Features

- **Stream Data**: Fetch live or historical data directly from the `midas-server` in real-time.
- **Save to File**: Save data to a binary MBN-encoded file for efficient storage and retrieval.
- **Built on MBN**: Leverages the high-performance binary encoding capabilities of the `mbn` library.

## Getting Started

To install `midas-py`, you need to build it from source for now:

1. Clone the repository:

   ```bash
   git clone https://github.com/your-repo/midas-py.git
   cd midas-py
   ```

2. Install the library:

   ```bash
   pip install .
   ```

## Documentation

Detailed documentation is coming soon. Stay tuned for examples and usage guides!

## Contributing

Contributions are welcome! Feel free to open issues or submit pull requests to improve the library.

## License

This project is licensed under the [Apache-2.0 License](LICENSE).
